<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 
if (isset($_GET['start'])) {
  $start = abs(intval($_GET['start']));
} else {
  $start = 0;
} 

show_title('site.png', 'Список смайлов');
$config['newtitle'] = 'Список смайлов';

switch ($act):
# ###########################################################################################
# #                                    Главная страница                                    ##
# ###########################################################################################
case "index":

  echo '<b>Общие смайлы</b> | <a href="smiles.php?act=admsmiles&amp;' . SID . '">Админские смайлы</a><br /><br />';

  $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `smiles` WHERE `smiles_cats`=?;", array(1));

  if ($total > 0) {
    if ($start >= $total) {
      $start = 0;
    } 

    $querysmiles = DB :: $dbh -> query("SELECT * FROM `smiles` WHERE `smiles_cats`=? ORDER BY LENGTH(`smiles_code`) ASC LIMIT " . $start . ", " . $config['smilelist'] . ";", array(1));

    while ($data = $querysmiles -> fetch()) {
      echo '<img src="' . BASEDIR . 'images/smiles/' . $data['smiles_name'] . '" alt="" /> — ' . $data['smiles_code'] . '<br />';
    } 

    page_jumpnavigation('smiles.php?', $config['smilelist'], $start, $total);
    page_strnavigation('smiles.php?', $config['smilelist'], $start, $total);

    echo 'Данные смайлы доступны всем авторизованным участникам сайта<br />';

    echo 'Всего cмайлов: <b>' . $total . '</b><br /><br />';
  } else {
    show_error('В данной категории смайлов нет!');
  } 
  break;
# ###########################################################################################
# #                                  Админские смайлы                                      ##
# ###########################################################################################
case "admsmiles":

  echo '<a href="smiles.php?' . SID . '">Общие смайлы</a> | <b>Админские смайлы</b><br /><br />';

  $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `smiles` WHERE `smiles_cats`=?;", array(2));

  if ($total > 0) {
    if ($start >= $total) {
      $start = 0;
    } 

    $querysmiles = DB :: $dbh -> query("SELECT * FROM `smiles` WHERE `smiles_cats`=? ORDER BY LENGTH(`smiles_code`) ASC LIMIT " . $start . ", " . $config['smilelist'] . ";", array(2));

    while ($data = $querysmiles -> fetch()) {
      echo '<img src="' . BASEDIR . 'images/smiles2/' . $data['smiles_name'] . '" alt="" /> — ' . $data['smiles_code'] . '<br />';
    } 

    page_jumpnavigation('smiles.php?act=admsmiles&amp;', $config['smilelist'], $start, $total);
    page_strnavigation('smiles.php?act=admsmiles&amp;', $config['smilelist'], $start, $total);

    echo 'Данные смайлы доступны только админам и модерам<br />';

    echo 'Всего cмайлов: <b>' . $total . '</b><br /><br />';
  } else {
    show_error('В данной категории смайлов нет!');
  } 
  break;

default:
  header("location: smiles.php?" . SID);
  exit;
  endswitch;

  echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

  include_once ("../themes/" . $config['themes'] . "/foot.php");

  ?>